# InputPin in embedded_hal::digital - Rust
Single digital input pin
Keywords: rust, rustlang, rust-lang, InputPin

# Trait embedded_hal::digital::InputPin

source · [−]

    pub trait InputPin {
        type Error;
        fn try_is_high(&self) -> Result<bool, Self::Error>;
        fn try_is_low(&self) -> Result<bool, Self::Error>;
    }

Expand description

Single digital input pin

## Associated Types

source

#### type Error

Error type

## Required methods

source

#### fn try_is_high(&self) -> Result<bool, Self::Error>

Is the input pin high?

source

#### fn try_is_low(&self) -> Result<bool, Self::Error>

Is the input pin low?

## Implementors